Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ProviderClassNames

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

    public interface ProviderClassNames

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Provider Class Names'.

The following features are supported:

- `Element Types Class Name`
- `Notation View Provider Class Name`
- `Notation View Provider Priority`
- `Edit Part Provider Class Name`
- `Edit Part Provider Priority`
- `Modeling Assistant Provider Class Name`
- `Modeling Assistant Provider Priority`
- `Icon Provider Class Name`
- `Icon Provider Priority`
- `Parser Provider Class Name`
- `Parser Provider Priority`
- `Contribution Item Provider Class Name`

See Also:
  `GMFGenPackage.getProviderClassNames()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getContributionItemProviderClassName()` Returns the value of the 'Contribution Item Provider Class Name' attribute
`java.lang.String` `getContributionItemProviderQualifiedClassName()`
`java.lang.String` `getEditPartProviderClassName()` Returns the value of the 'Edit Part Provider Class Name' attribute
`ProviderPriority` `getEditPartProviderPriority()` Returns the value of the 'Edit Part Provider Priority' attribute.
`java.lang.String` `getEditPartProviderQualifiedClassName()`
`java.lang.String` `getElementTypesClassName()` Returns the value of the 'Element Types Class Name' attribute
`java.lang.String` `getElementTypesQualifiedClassName()`
`java.lang.String` `getIconProviderClassName()` Returns the value of the 'Icon Provider Class Name' attribute
`ProviderPriority` `getIconProviderPriority()` Returns the value of the 'Icon Provider Priority' attribute.
`java.lang.String` `getIconProviderQualifiedClassName()`
`java.lang.String` `getModelingAssistantProviderClassName()` Returns the value of the 'Modeling Assistant Provider Class Name' attribute
`ProviderPriority` `getModelingAssistantProviderPriority()` Returns the value of the 'Modeling Assistant Provider Priority' attribute.
`java.lang.String` `getModelingAssistantProviderQualifiedClassName()`
`java.lang.String` `getNotationViewProviderClassName()` Returns the value of the 'Notation View Provider Class Name' attribute
`ProviderPriority` `getNotationViewProviderPriority()` Returns the value of the 'Notation View Provider Priority' attribute.
`java.lang.String` `getNotationViewProviderQualifiedClassName()`
`java.lang.String` `getParserProviderClassName()` Returns the value of the 'Parser Provider Class Name' attribute
`ProviderPriority` `getParserProviderPriority()` Returns the value of the 'Parser Provider Priority' attribute.
`java.lang.String` `getParserProviderQualifiedClassName()`
`void` `setContributionItemProviderClassName(java.lang.String value)` Sets the value of the '`Contribution Item Provider Class Name`' attribute
`void` `setEditPartProviderClassName(java.lang.String value)` Sets the value of the '`Edit Part Provider Class Name`' attribute
`void` `setEditPartProviderPriority(ProviderPriority value)` Sets the value of the '`Edit Part Provider Priority`' attribute
`void` `setElementTypesClassName(java.lang.String value)` Sets the value of the '`Element Types Class Name`' attribute
`void` `setIconProviderClassName(java.lang.String value)` Sets the value of the '`Icon Provider Class Name`' attribute
`void` `setIconProviderPriority(ProviderPriority value)` Sets the value of the '`Icon Provider Priority`' attribute
`void` `setModelingAssistantProviderClassName(java.lang.String value)` Sets the value of the '`Modeling Assistant Provider Class Name`' attribute
`void` `setModelingAssistantProviderPriority(ProviderPriority value)` Sets the value of the '`Modeling Assistant Provider Priority`' attribute
`void` `setNotationViewProviderClassName(java.lang.String value)` Sets the value of the '`Notation View Provider Class Name`' attribute
`void` `setNotationViewProviderPriority(ProviderPriority value)` Sets the value of the '`Notation View Provider Priority`' attribute
`void` `setParserProviderClassName(java.lang.String value)` Sets the value of the '`Parser Provider Class Name`' attribute
`void` `setParserProviderPriority(ProviderPriority value)` Sets the value of the '`Parser Provider Priority`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getElementTypesClassName

    java.lang.String getElementTypesClassName()

  Returns the value of the 'Element Types Class Name' attribute.

  If the meaning of the 'Element Types Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Types Class Name' attribute.
  See Also:
    `setElementTypesClassName(String)`, `GMFGenPackage.getProviderClassNames_ElementTypesClassName()`
  ** Generated **
  Model:

### setElementTypesClassName

    void setElementTypesClassName(java.lang.String value)

  Sets the value of the '`Element Types Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Element Types Class Name' attribute.
  See Also:
    `getElementTypesClassName()`
  ** Generated **

### getNotationViewProviderClassName

    java.lang.String getNotationViewProviderClassName()

  Returns the value of the 'Notation View Provider Class Name' attribute.

  If the meaning of the 'Notation View Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notation View Provider Class Name' attribute.
  See Also:
    `setNotationViewProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_NotationViewProviderClassName()`
  ** Generated **
  Model:

### setNotationViewProviderClassName

    void setNotationViewProviderClassName(java.lang.String value)

  Sets the value of the '`Notation View Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Notation View Provider Class Name' attribute.
  See Also:
    `getNotationViewProviderClassName()`
  ** Generated **

### getNotationViewProviderPriority

    ProviderPriority getNotationViewProviderPriority()

  Returns the value of the 'Notation View Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Notation View Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notation View Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setNotationViewProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_NotationViewProviderPriority()`
  ** Generated **
  Model:

### setNotationViewProviderPriority

    void setNotationViewProviderPriority(ProviderPriority value)

  Sets the value of the '`Notation View Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Notation View Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getNotationViewProviderPriority()`
  ** Generated **

### getEditPartProviderClassName

    java.lang.String getEditPartProviderClassName()

  Returns the value of the 'Edit Part Provider Class Name' attribute.

  If the meaning of the 'Edit Part Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Part Provider Class Name' attribute.
  See Also:
    `setEditPartProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_EditPartProviderClassName()`
  ** Generated **
  Model:

### setEditPartProviderClassName

    void setEditPartProviderClassName(java.lang.String value)

  Sets the value of the '`Edit Part Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Part Provider Class Name' attribute.
  See Also:
    `getEditPartProviderClassName()`
  ** Generated **

### getEditPartProviderPriority

    ProviderPriority getEditPartProviderPriority()

  Returns the value of the 'Edit Part Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Edit Part Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Part Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setEditPartProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_EditPartProviderPriority()`
  ** Generated **
  Model:

### setEditPartProviderPriority

    void setEditPartProviderPriority(ProviderPriority value)

  Sets the value of the '`Edit Part Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Part Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getEditPartProviderPriority()`
  ** Generated **

### getModelingAssistantProviderClassName

    java.lang.String getModelingAssistantProviderClassName()

  Returns the value of the 'Modeling Assistant Provider Class Name' attribute.

  If the meaning of the 'Modeling Assistant Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Modeling Assistant Provider Class Name' attribute.
  See Also:
    `setModelingAssistantProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ModelingAssistantProviderClassName()`
  ** Generated **
  Model:

### setModelingAssistantProviderClassName

    void setModelingAssistantProviderClassName(java.lang.String value)

  Sets the value of the '`Modeling Assistant Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Modeling Assistant Provider Class Name' attribute.
  See Also:
    `getModelingAssistantProviderClassName()`
  ** Generated **

### getModelingAssistantProviderPriority

    ProviderPriority getModelingAssistantProviderPriority()

  Returns the value of the 'Modeling Assistant Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Modeling Assistant Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Modeling Assistant Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setModelingAssistantProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_ModelingAssistantProviderPriority()`
  ** Generated **
  Model:

### setModelingAssistantProviderPriority

    void setModelingAssistantProviderPriority(ProviderPriority value)

  Sets the value of the '`Modeling Assistant Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Modeling Assistant Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getModelingAssistantProviderPriority()`
  ** Generated **

### getIconProviderClassName

    java.lang.String getIconProviderClassName()

  Returns the value of the 'Icon Provider Class Name' attribute.

  If the meaning of the 'Icon Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon Provider Class Name' attribute.
  See Also:
    `setIconProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_IconProviderClassName()`
  ** Generated **
  Model:

### setIconProviderClassName

    void setIconProviderClassName(java.lang.String value)

  Sets the value of the '`Icon Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Icon Provider Class Name' attribute.
  See Also:
    `getIconProviderClassName()`
  ** Generated **

### getIconProviderPriority

    ProviderPriority getIconProviderPriority()

  Returns the value of the 'Icon Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Icon Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setIconProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_IconProviderPriority()`
  ** Generated **
  Model:

### setIconProviderPriority

    void setIconProviderPriority(ProviderPriority value)

  Sets the value of the '`Icon Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Icon Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getIconProviderPriority()`
  ** Generated **

### getParserProviderClassName

    java.lang.String getParserProviderClassName()

  Returns the value of the 'Parser Provider Class Name' attribute.

  If the meaning of the 'Parser Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parser Provider Class Name' attribute.
  See Also:
    `setParserProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ParserProviderClassName()`
  ** Generated **
  Model:

### setParserProviderClassName

    void setParserProviderClassName(java.lang.String value)

  Sets the value of the '`Parser Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Parser Provider Class Name' attribute.
  See Also:
    `getParserProviderClassName()`
  ** Generated **

### getParserProviderPriority

    ProviderPriority getParserProviderPriority()

  Returns the value of the 'Parser Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Parser Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parser Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `setParserProviderPriority(ProviderPriority)`, `GMFGenPackage.getProviderClassNames_ParserProviderPriority()`
  ** Generated **
  Model:

### setParserProviderPriority

    void setParserProviderPriority(ProviderPriority value)

  Sets the value of the '`Parser Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Parser Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `getParserProviderPriority()`
  ** Generated **

### getContributionItemProviderClassName

    java.lang.String getContributionItemProviderClassName()

  Returns the value of the 'Contribution Item Provider Class Name' attribute.

  If the meaning of the 'Contribution Item Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contribution Item Provider Class Name' attribute.
  See Also:
    `setContributionItemProviderClassName(String)`, `GMFGenPackage.getProviderClassNames_ContributionItemProviderClassName()`
  ** Generated **
  Model:

### setContributionItemProviderClassName

    void setContributionItemProviderClassName(java.lang.String value)

  Sets the value of the '`Contribution Item Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Contribution Item Provider Class Name' attribute.
  See Also:
    `getContributionItemProviderClassName()`
  ** Generated **

### getElementTypesQualifiedClassName

    java.lang.String getElementTypesQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNotationViewProviderQualifiedClassName

    java.lang.String getNotationViewProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getEditPartProviderQualifiedClassName

    java.lang.String getEditPartProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getModelingAssistantProviderQualifiedClassName

    java.lang.String getModelingAssistantProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getIconProviderQualifiedClassName

    java.lang.String getIconProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getParserProviderQualifiedClassName

    java.lang.String getParserProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getContributionItemProviderQualifiedClassName

    java.lang.String getContributionItemProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.